@call "%~dp0config.bat" 0 > nul

if [%1]==[] goto help
if [%2]==[] goto help

echo * Kopiere und bereinige Datenbank-Dateien
echo   Quelle: %~dp1
call teste_verzeichnis.bat %1
call teste_verzeichnis.bat %2
if errorlevel 42 goto error1

set TOLERANZ=20
if not [%3]==[] if not [%3]==[0] (
  set TOLERANZ=%3
)
if not [%LOGFILE%]==[1] (
  set TOLERANZ=72
)

%PHP%\php Tools\run.php copyandreplace %1 %2 %3
goto :eof

:error1
echo (CR0001) Verzeichnis nicht vorhanden
exit /B 5

:help
echo Falscher Aufruf.
echo copyandreplace.bat [Quelle] [Ziel]
echo Aufruf: call copyandreplace.bat \\server\pcdata\*.txt %Portal%\Transformation\data
